# TdApi.InputMessagePhoto (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputMessagePhoto

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessagePhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessagePhoto

Enclosing class:
  TdApi

public static final class TdApi.InputMessagePhoto extends TdApi.InputMessageContent
A photo message.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`addedStickerFileIds`
File identifiers of the stickers added to the photo, if applicable.
`TdApi.FormattedText`
`caption`
Photo caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
`static final int`
`CONSTRUCTOR`
`boolean`
`hasSpoiler`
True, if the photo preview must be covered by a spoiler animation; not supported in secret chats.
`int`
`height`
Photo height.
`TdApi.InputFile`
`photo`
Photo to send.
`int`
`selfDestructTime`
Photo self-destruct time, in seconds (0-60).
`TdApi.InputThumbnail`
`thumbnail`
Photo thumbnail to be sent; pass null to skip thumbnail uploading.
`int`
`width`
Photo width.

## Constructor Summary

Constructors
Constructor
Description
`InputMessagePhoto()`
A photo message.
`InputMessagePhoto(TdApi.InputFile photo, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int width, int height, TdApi.FormattedText caption, int selfDestructTime, boolean hasSpoiler)`
A photo message.
`InputMessagePhoto(DataInput input)`
A photo message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.InputFile photo
Photo to send. The photo must be at most 10 MB in size. The photo's width and height must not exceed 10000 in total. Width and height ratio must be at most 20.

### thumbnail

public TdApi.InputThumbnail thumbnail
Photo thumbnail to be sent; pass null to skip thumbnail uploading. The thumbnail is sent to the other party only in secret chats.

### addedStickerFileIds

public int[] addedStickerFileIds
File identifiers of the stickers added to the photo, if applicable.

### width

public int width
Photo width.

### height

public int height
Photo height.

### caption

public TdApi.FormattedText caption
Photo caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### selfDestructTime

public int selfDestructTime
Photo self-destruct time, in seconds (0-60). A non-zero self-destruct time can be specified only in private chats.

### hasSpoiler

public boolean hasSpoiler
True, if the photo preview must be covered by a spoiler animation; not supported in secret chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputMessagePhoto

public InputMessagePhoto()
A photo message.

### InputMessagePhoto

public InputMessagePhoto(TdApi.InputFile photo, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int width, int height, TdApi.FormattedText caption, int selfDestructTime, boolean hasSpoiler)
A photo message.

Parameters:
  `photo` - InputFile Photo to send. The photo must be at most 10 MB in size. The photo's width and height must not exceed 10000 in total. Width and height ratio must be at most 20.
  `thumbnail` - InputThumbnail Photo thumbnail to be sent; pass null to skip thumbnail uploading. The thumbnail is sent to the other party only in secret chats.
  `addedStickerFileIds` - int[] File identifiers of the stickers added to the photo, if applicable.
  `width` - int Photo width.
  `height` - int Photo height.
  `caption` - FormattedText Photo caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `selfDestructTime` - int Photo self-destruct time, in seconds (0-60). A non-zero self-destruct time can be specified only in private chats.
  `hasSpoiler` - boolean True, if the photo preview must be covered by a spoiler animation; not supported in secret chats.

### InputMessagePhoto

public InputMessagePhoto(DataInput input) throws IOException
A photo message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`